package com.ruoyi.bst.order.domain.dto;

import java.math.BigDecimal;

import javax.validation.constraints.NotNull;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
public class OrderSeatDTO {
    
    @ApiModelProperty("订单ID")
    @NotNull(message = "订单ID不能为空")
    private Long orderId;

    @ApiModelProperty("手机经度")
    private BigDecimal lon;

    @ApiModelProperty("手机纬度")
    private BigDecimal lat;

    @ApiModelProperty("物联网是否必须成功")
    private Boolean requiredIot;
    
}
