package com.ruoyi.bst.order.domain.dto;

import java.math.BigDecimal;

import javax.validation.constraints.NotNull;

import com.ruoyi.common.core.interfaces.LogBizParam;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
public class OrderCalcFeeDTO implements LogBizParam {
    
    @ApiModelProperty("订单ID")
    @NotNull(message = "订单ID不能为空")
    private Long orderId;

    @ApiModelProperty("手机定位（经度）")
    private BigDecimal lon;

    @ApiModelProperty("手机定位（纬度）")
    private BigDecimal lat;

    @ApiModelProperty("是否校验车辆位置")
    private Boolean checkLocation;

    @Override
    public Object logBizId() {
        return orderId;
    }
}
