package com.ruoyi.bst.vipUser.domain;

import java.time.LocalDate;
import java.util.List;

import org.springframework.format.annotation.DateTimeFormat;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
public class VipUserQuery extends VipUserVO {
    
    @ApiModelProperty("ID列表")
    private List<Long> ids;

    @ApiModelProperty("是否在有效期内")
    private Boolean isEffective;

    @ApiModelProperty("最小剩余次数")
    private Integer minSurplusCount;

    @ApiModelProperty("下次重置计数日期")
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    private LocalDate nextResetDate;
}
    